Module org.jfree.chart3d
Package org.jfree.chart3d.data

# Interface PieDataset3D<K extends Comparable<K>>

Type Parameters:
  `K` - The key type (must implement Comparable)

All Superinterfaces:
  `Dataset3D`, `KeyedValues<K,Number>`, `Values<Number>`

All Known Implementing Classes:
  `StandardPieDataset3D`

public interface PieDataset3D<K extends Comparable<K>> extends KeyedValues<K,Number>, Values<Number>, Dataset3D
The interface through which the `PiePlot3D` class obtains data for pie charts. The interface defines methods for reading data only, not for updating the data (however, classes that implement the interface will typically provide their own methods for updating the dataset).

## Method Summary

### Methods inherited from interface org.jfree.chart3d.data.Dataset3D

`addChangeListener, hasListener, removeChangeListener`

### Methods inherited from interface org.jfree.chart3d.data.KeyedValues

`getIndex, getKey, getKeys, getValue`

### Methods inherited from interface org.jfree.chart3d.data.Values

`getDoubleValue, getItemCount, getValue`